=== debian/changelog ===
eq10q (2.2~repack0-5build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:59:08 +0200

eq10q (2.2~repack0-5) unstable; urgency=medium

  * Team upload.
  * Prevent gui build (Closes: #1041795)
  * Clean generated and built files (Closes: #1044400)

 -- Bastian Germann <bage@debian.org>  Sun, 15 Oct 2023 00:15:15 +0200

eq10q (2.2~repack0-4) unstable; urgency=medium

  * Team upload
  * debian/control:
    - Bump debhelper compat to 13
    - Bump Standards-Version
  * debian/patches: Fix lv2 types (Closes: #960251)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 16 May 2020 15:44:53 +0200

eq10q (2.2~repack0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Team upload.
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/watch: Use https protocol
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump Standards-Version
    - Set RRR: no
    - Bump debhelper compat to 12

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 23 Nov 2019 15:51:26 +0100

eq10q (2.2~repack0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch from Aurelien Jarno to fix FTBFS with glibc 2.27.
    (Closes: #890634)

 -- Adrian Bunk <bunk@debian.org>  Tue, 20 Mar 2018 19:40:58 +0200

eq10q (2.2~repack0-2) unstable; urgency=medium

  * Remove redundant amd64 cflags.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 13 Dec 2016 15:26:26 +0100

eq10q (2.2~repack0-1) unstable; urgency=medium

  * Use copyright file for repacking.
  * New upstream version 2.2~repack0
  * Sign tags.
  * Set dh/compat 10.
  * Update copyright file.
  * Update package description.
  * Add spelling patch.
  * Forward some patches.
  * Enable sse on amd64.
  * Add patch to pass debug flags.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 13 Dec 2016 09:12:10 +0100

eq10q (2.1~repack0-2) unstable; urgency=medium

  * Update description. (Closes: #836380)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 04 Sep 2016 08:49:02 +0200

eq10q (2.1~repack0-1) unstable; urgency=medium

  * Imported Upstream version 2.1~repack0
  * Bump Standards.
  * Fix VCS fields.
  * Fix hardening.
  * Add patch to append debian flags correctly.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 25 Aug 2016 14:08:14 +0200
