=== debian/control ===
Source: eq10q
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: debhelper-compat (= 13),
 cmake,
 pkg-config,
 lv2-dev,
 libfftw3-dev
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/multimedia-team/eq10q.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/eq10q
Homepage: http://eq10q.sourceforge.net
Rules-Requires-Root: no

Package: eq10q
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Provides: lv2-plugin
Description: LV2 plugins bundle
 Package contains these plugins:
  * eq10q  : 10 band equalizer;
  * eq6q   :  6 band equalizer;
  * eq4q   :  4 band equalizer;
  * eq1q   :  1 band equalizer;
  * cs10q  :  compressor;
  * cs10qm :  side-chain input compressor;
  * gt10q  :  gate;
  * bassup :  bass enhancer;
  * lr2ms  :  mid/side matrix lr to ms;
  * ms2lr  :  mid/side matrix ms to lr.
 .
 All plugins have mono and stereo version.
 .
 More information:
 http://eq10q.sourceforge.net/
